com.thinkaurelius.titan.graphdb.internal

## Class OrderList

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.OrderList

- All Implemented Interfaces:
    Iterable<OrderList.OrderEntry>, Comparator<TitanElement>

      public class OrderList
      extends Object
      implements Comparator<TitanElement>, Iterable<OrderList.OrderEntry>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrderList.OrderEntry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OrderList` | `NO_ORDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(PropertyKey key, Order order)`
    `int` | `compare(TitanElement o1, TitanElement o2)`
    `boolean` | `containsKey(PropertyKey key)`
    `boolean` | `equals(Object oth)`
    `Order` | `getCommonOrder()`
    `PropertyKey` | `getKey(int position)`
    `Order` | `getOrder(int position)`
    `boolean` | `hasCommonOrder()` Whether all individual orders are the same
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `boolean` | `isImmutable()`
    `Iterator<OrderList.OrderEntry>` | `iterator()`
    `void` | `makeImmutable()`
    `int` | `size()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_ORDER

          public static final OrderList NO_ORDER

  - ### Constructor Detail

    - #### OrderList

          public OrderList()

  - ### Method Detail

    - #### add

          public void add(PropertyKey key,
                 Order order)

    - #### isEmpty

          public boolean isEmpty()

    - #### getKey

          public PropertyKey getKey(int position)

    - #### getOrder

          public Order getOrder(int position)

    - #### size

          public int size()

    - #### containsKey

          public boolean containsKey(PropertyKey key)

    - #### makeImmutable

          public void makeImmutable()

    - #### isImmutable

          public boolean isImmutable()

    - #### hasCommonOrder

          public boolean hasCommonOrder()

      Whether all individual orders are the same
      Returns:

    - #### getCommonOrder

          public Order getCommonOrder()

    - #### iterator

          public Iterator<OrderList.OrderEntry> iterator()

      Specified by:
        `iterator` in interface `Iterable<OrderList.OrderEntry>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object oth)

      Specified by:
        `equals` in interface `Comparator<TitanElement>`
      Overrides:
        `equals` in class `Object`

    - #### compare

          public int compare(TitanElement o1,
                    TitanElement o2)

      Specified by:
        `compare` in interface `Comparator<TitanElement>`

Copyright © 2012–2014. All rights reserved.